tt_bcontext_join(library call)

NAME
tt_bcontext_join — add a byte-array value to the list of values

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_bcontext_join(
const char *slotname,
const unsigned char *value,
int length);

DESCRIPTION

The tt_bcontext_join function adds the given byte-array value to the list of values for the named contexts of all patterns. The context is compared to currently registered patterns for the procid. If a pattern has a slot with the specified name, the given byte-array value is added to the list of values for that slot.

The slotname argument is the name of the context. The value argument is the value to be added. The length argument is the length in bytes of the value.

RETURN VALUE

Upon successful completion, the tt_bcontext_join function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_SLOTNAME
    The specified slotname is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).